      subroutine check_iscth(iscth, scth, flag)
      use math_blocks
      use rte_blocks
      implicit none

      integer*4, intent(in)    :: iscth
      real*4,    intent(out)   :: scth
      logical*4, intent(inout) :: flag

      real*4 scth_of_iscth

      if((iscth .lt. 1) .or. (iscth .gt. Nscth)) then
         write(*,*) 'iscth0 is outside of range. Try again'
         flag = .true.
      else
         scth = scth_of_iscth(iscth)
         if(abs(scth-ru) .lt. small) scth =  ru
         if(abs(scth+ru) .lt. small) scth = -ru
         if(abs(scth)    .lt. small) scth =  rzero
         write(*,*) 'The corresponding value scth0:', scth
      end if

      return
      end
