      subroutine check_isphi(isphi, sphi, flag)
      use math_blocks
      use rte_blocks
      implicit none

      integer*4, intent(in)    :: isphi
      real*4,    intent(out)   :: sphi
      logical*4, intent(inout) :: flag

      real*4 sphi_of_isphi

      if((isphi .lt. 1) .or. (isphi .gt. Nsphi)) then
         write(*,*) 'isphi0 is outside of range. Try again'
         flag = .true.
      else
         sphi = sphi_of_isphi(isphi)
         if(abs(sphi)       .lt. small) sphi = rzero
         if(abs(sphi-half)  .lt. small) sphi = half
         if(abs(sphi-ru)    .lt. small) sphi = ru
         if(abs(sphi-ruhal) .lt. small) sphi = ruhal
         if(abs(sphi-two)   .lt. small) sphi = two
         write(*,*) 'The corresponding value sphi0:', sphi
      end if

      return
      end
