      subroutine check_iz(iz, z, flag)
      use math_blocks
      use rte_blocks
      implicit none

      integer*4, intent(in)    :: iz
      real*4,    intent(out)   :: z
      logical*4, intent(inout) :: flag

      real*4 z_of_iz

      if((iz .lt. 1) .or. (iz .gt. lz)) then
         write(*,*) 'iz0 is outside of range. Try again'
         flag = .true.
      else
         z = z_of_iz(iz)
         if(abs(z) .lt. small) z = rzero
         write(*,*) 'The corresponding phys. coordinate z0:', z
      end if

      return
      end
