!DIR$ FIXEDFORMLINESIZE:132
      subroutine decomp_string()
      use rte_blocks
      use header_types
      implicit none

      SourceType      = string%SourceType 
      PhaseFunction   = string%PhaseFunction
      Domain          = string%Domain
      Units           = string%Units
      Use_Symmetry    = string%Use_Symmetry
      nw              = string%nw
      nr              = string%nr      
      mu_a            = string%mu_a
      mu_s            = string%mu_s
      mu_t            = string%mu_t
      g               = string%g
      mu_star         = string%mu_star
      ell_star        = string%ell_star
      zsmin           = string%zsmin
      zsmax           = string%zsmax
      xbmin           = string%xbmin
      xbmax           = string%xbmax
      ybmin           = string%ybmin
      ybmax           = string%ybmax
      zbmin           = string%zbmin
      zbmax           = string%zbmax
      rhomax          = string%rhomax
      hx              = string%hx
      hy              = string%hy
      hz              = string%hz
      hrho            = string%hrho
      z0              = string%z0
      s0x             = string%s0x
      s0y             = string%s0y
      s0z             = string%s0z
      scth_min        = string%scth_min
      scth_max        = string%scth_max
      sphi_min        = string%sphi_min
      sphi_max        = string%sphi_max
      dscth           = string%dscth
      dsphi           = string%dsphi
      lx              = string%lx
      ly              = string%ly
      lz              = string%lz
      lrho            = string%lrho
      Nscth           = string%Nscth
      Nsphi           = string%Nsphi
      seed1           = string%seed1
      seed2           = string%seed2
      seed3           = string%seed3
      seed4           = string%seed4
      seed5           = string%seed5
      seed6           = string%seed6

      if     (SourceType .eq. 'PNTC') then
         Collimated_Source = .true.
         Plane_Wave_Source = .false.
      else if(SourceType .eq. 'PNTI') then
         Collimated_Source = .false.
         Plane_Wave_Source = .false.
      else if(SourceType .eq. 'PLWC') then
         Collimated_Source = .true.
         Plane_Wave_Source = .true.
      else if(SourceType .eq. 'PLWI') then
         Collimated_Source = .false.
         Plane_Wave_Source = .true.
      else
         write(*,*) 'DECOMP_STRING Unexpected Error: Incorrect SourceType'
         pause
      end if
 
      return
      end
