!DIR$ FIXEDFORMLINESIZE:132
      subroutine wd_plws_vol_cyl()
      use math_blocks
      use rte_blocks
      use header_types
      use file_types
      implicit none

      character*32 name, call_point
      real*4 cfc
      logical*4 fail

      cfc = weight / (hz*float(nw))

      IF(compute_u) THEN

         u1D = u1D * cfc
 1       continue

         if(Collimated_Source) then
            name = 'u_plwc_vol_cyl.asc'
            string%Filetype = ft(8)
         else 
            name = 'u_plwi_vol_cyl.bin'
            string%Filetype = ft(8+nft)
         end if

         call_point = '**** wd_plws_vol_cyl: u1D ******'

         call dump_gen_1D(name, u1D, call_point, fail)
         if(fail) then
            write(*,*) 'dump_gen_1D failed to write output'
            write(*,*) 'You may want to check disk space'
            write(*,*) 'To save computed results do not quit'
            write(*,*) 'Instead, continue when ready'
            pause
            goto 1
         end if
      END IF

      IF(compute_J) THEN

         J1D = J1D * cfc
 2       continue

         if(Collimated_Source) then
            name = 'J_plwc_vol_cyl.asc'
            string%Filetype = ft(20)
         else 
            name = 'J_plwi_vol_cyl.bin'
            string%Filetype = ft(20+nft)
         end if

         call_point = '**** wd_plws_vol_cyl: J1D ******'

         call dump_gen_1D(name, J1D, call_point, fail)
         if(fail) then
            write(*,*) 'dump_gen_1D failed to write output'
            write(*,*) 'You may want to check disk space'
            write(*,*) 'To save computed results do not quit'
            write(*,*) 'Instead, continue when ready'
            pause
            goto 2
         end if

      END IF


      IF(compute_I) THEN

         I2D = I2D * cfc / (pi2*dscth)
 3       continue

         if(Collimated_Source) then
            name = 'I_plwc_vol_cyl.bin'
            string%Filetype = ft(32)
         else 
            name = 'I_plwi_vol_cyl.bin'
            string%Filetype = ft(32+nft)
         end if

         call dump_I_1D_1D(name, I2D, fail)
         if(fail) then
            write(*,*) 'dump_I_1D_1D failed to write output'
            write(*,*) 'You may want to check disk space'
            write(*,*) 'To save computed results do not quit'
            write(*,*) 'Instead, continue when ready'
            pause
            goto 3
         end if
 
      END IF


      return
      end
