!DIR$ FIXEDFORMLINESIZE:132
      subroutine am_rnums_isrc(fail)
      use math_blocks
      use rte_blocks
      use header_types
      implicit none

      logical*4, intent(out) :: fail

      integer*4 narr

      narr = 10
      nmem = nmem + int8(narr)*int8(nr)*int8(4)

      if(nmem .gt. nmem_tot) then
         write(*,*) '** AM_RNUMS_ISRC: Not enough free memory to proceed ***'
         write(*,*) '** [Required Memory] : ', sngl(nmem*nano)    , ' Gb ***'
         write(*,*) '**  [Allowed Memory] : ', sngl(nmem_tot*nano), ' Gb ***'
         write(*,*) '** NOTE: [Allowed Memory] =/= [Available Memory] ******'
         write(*,*) '** RECOMENDATION: Check parameters nmem_tot, Nr *******'
         fail = .true.
         return
      else
         fail = .false.
      end if
 
      allocate(bin(1:nr),del(1:nr))
      allocate(cth(1:nr),sth(1:nr))
      allocate(cph(1:nr),sph(1:nr))
      allocate(uct(1:nr),ust(1:nr))
      allocate(ucp(1:nr),usp(1:nr))
     
      return
      end
