!DIR$ FIXEDFORMLINESIZE:132
      real*4 pure function rho_of_irho(irho)
      use rte_blocks
      use math_blocks
      implicit none
      integer*4, intent(in) :: irho
      real*4 rho

c$$$      if(irho .eq. 1) then
c$$$         rho = 0.0
c$$$      else
c$$$         rho = (irho-0.5)*hrho
c$$$      end if
      rho = hrho * (dfloat(irho*irho - irho) + third) / (dfloat(irho) - half)

      rho_of_irho = rho

      return
      end
