      subroutine check_iy(iy, y, flag)
      use math_blocks
      use rte_blocks
      implicit none

      integer*4, intent(in)    :: iy
      real*4,    intent(out)   :: y
      logical*4, intent(inout) :: flag

      real*4 y_of_iy

      if((iy .lt. 1) .or. (iy .gt. ly)) then
         write(*,*) 'iy0 is outside of range. Try again'
         flag = .true.
      else
         y = y_of_iy(iy)
         if(abs(y) .lt. small) y = rzero
         write(*,*) 'The corresponding phys. coordinate y0:', y
      end if

      return
      end
