      subroutine check_z(z, iz, flag)
      use rte_blocks
      implicit none

      real*4,    intent(in)    :: z
      integer*4, intent(out)   :: iz
      logical*4, intent(inout) :: flag

      integer*4 iz_of_z

      if((z .lt. zbmin) .or. (z .gt. zbmax)) then
         write(*,*) 'z0 is outside of range. Try again'
         flag = .true.
      else
         iz = iz_of_z(z)
         write(*,*) 'The corresponding integer index iz0:', iz
      end if

      return
      end
