!DIR$ FIXEDFORMLINESIZE:132
      subroutine rescale()
      use rte_blocks
      use math_blocks
      implicit none

      zsmin = zsmin*scale
      zsmax = zsmax*scale

      z0 = z0*scale

      IF(Use_Symmetry) THEN
         rhomax = rhomax*scale
         hrho   = hrho*scale
      ELSE
         xbmin = xbmin*scale
         xbmax = xbmax*scale
         ybmin = ybmin*scale
         ybmax = ybmax*scale
         hx = hx*scale
         hy = hy*scale
      END IF

      IF (Domain .eq. 'VOL') THEN

         zbmin = zbmin*scale
         zbmax = zbmax*scale

         hz = hz*scale

         if(Use_Symmetry) then
            ds = pi*hrho*hrho
         else
            dv = hx*hy*hz
         end if

      ELSE

         if(Use_Symmetry) then
            ds = pi*hrho*hrho
         else
            ds = hx*hy
         end if

      END IF


      return
      end
