!DIR$ FIXEDFORMLINESIZE:132
      subroutine wd_plws_sur_cyl()
      use math_blocks
      use rte_blocks
      use header_types
      use file_types
      implicit none

      real(nword) sumT, sumR, funT, funR
      real*4 scth, scth_of_iscth, cfc
      integer*4 iscth

      cfc = weight / float(nw)

      if(Collimated_Source) then
         open(unit=71,file='IT_plwc_sur_cyl.asc',status='unknown')
         open(unit=72,file='IR_plwc_sur_cyl.asc',status='unknown')
      else
         open(unit=71,file='IT_plwi_sur_cyl.asc',status='unknown')
         open(unit=72,file='IR_plwi_sur_cyl.asc',status='unknown')
      end if

      uT0D = uT0D * cfc
      uR0D = uR0D * cfc

      JT0D = JT0D * cfc
      JR0D = JR0D * cfc

      write(71,*) '#  uT =', sngl(uT0D)
      write(71,*) '#  JTz=', sngl(JT0D)

      write(72,*) '#  uR =', sngl(uR0D)
      write(72,*) '#  JRz=', sngl(JR0D)

      IT1D = IT1D * cfc / (pi2*dscth)
      IR1D = IR1D * cfc / (pi2*dscth)

      sumT = rzero
      sumR = rzero

      do 1, iscth=1,Nscth
      scth = scth_of_iscth(iscth)
      funT  = IT1D(iscth)
      funR  = IR1D(iscth)
      sumT = sumT + funT
      sumR = sumR + funR
      write(71,*)  scth, funT
      write(72,*) -scth, funR
 1    continue

      close(unit=71)
      close(unit=72)

      sumT = sumT*dscth*pi2
      sumR = sumR*dscth*pi2
 
      write(*,*) '     uT =', sngl(uT0D)
      write(*,*) ' Int(IT)=', sngl(sumT)
      write(*,*) '------------------------------'
      write(*,*) '     uR =', sngl(uR0D)
      write(*,*) ' Int(IR)=', sngl(sumR)
      write(*,*) '------------------------------'

      return
      end
