!DIR$ FIXEDFORMLINESIZE:132
      subroutine wd_pnts_sur_rec()
      use math_blocks
      use rte_blocks
      use header_types
      use file_types
      implicit none

      character*32 name
      real*4 cfc
      logical*4 fail

      cfc = weight / (ds*float(nw))

      IF(compute_u) THEN

         uT2D = uT2D * cfc

 1       continue

         if(Collimated_Source) then
            name = 'uT_pntc_sur_rec.bin'
            string%Filetype = ft(3)
         else
            name = 'uT_pnti_sur_rec.bin'
            string%Filetype = ft(3+nft)
         end if

         call dump_u_2D(name, uT2D, fail)

         if(fail) then
            write(*,*) 'dump_u_2D failed to write output'
            write(*,*) 'You may want to check disk space'
            write(*,*) 'To save computed results do not quit'
            write(*,*) 'Instead, continue when ready'
            pause
            goto 1
         end if

      END IF


      IF(compute_J) THEN

         JT3D = JT3D * cfc

 2       continue

         if(Collimated_Source) then
            name = 'JT_pntc_sur_rec.bin'
            string%Filetype = ft(15)
         else
            name = 'JT_pnti_sur_rec.bin'
            string%Filetype = ft(15+nft)
         end if

         call dump_J_3D(name, JT3D, fail)
         if(fail) then
            write(*,*) 'dump_J_3D failed to write output'
            write(*,*) 'You may want to check disk space'
            write(*,*) 'To save computed results do not quit'
            write(*,*) 'Instead, continue when ready'
            pause
            goto 2
         end if

      END IF


      IF(compute_I) THEN

         IT4D = IT4D * cfc / (dscth*dsphi*pi)
         call fIe_2D_2D(IT4D)

 3       continue

         if(Collimated_Source) then
            name = 'IT_pntc_sur_rec.bin'
            string%Filetype = ft(27)
         else
            name = 'IT_pnti_sur_rec.bin'
            string%Filetype = ft(27+nft)
         end if

         call dump_I_2D_2D(name, IT4D, fail)
         if(fail) then
            write(*,*) 'dump_I_2D_2D failed to write output'
            write(*,*) 'You may want to check disk space'
            write(*,*) 'To save computed results do not quit'
            write(*,*) 'Instead, continue when ready'
            pause
            goto 3
         end if
 
      END IF

      return
      end
