!DIR$ FIXEDFORMLINESIZE:132
      subroutine wd_pnts_vol_rec()
      use math_blocks
      use rte_blocks
      use header_types
      use file_types
      implicit none

      character*32 name
      real*4 cfc
      logical*4 fail

      integer*4 iscth

      cfc = weight / (dv*float(nw))


      IF(compute_u) THEN

         u3D = u3D * cfc

 1       continue

         if(Collimated_Source) then
            string%Filetype = ft(1)
            name = 'u_pntc_vol_rec.bin'
         else
            name = 'u_pnti_vol_rec.bin'
            string%Filetype = ft(1+nft)
         end if

         call dump_u_3D(name, u3D, fail)
         if(fail) then
            write(*,*) 'dump_u_3D failed to write output'
            write(*,*) 'You may want to check disk space'
            write(*,*) 'To save computed results do not quit'
            write(*,*) 'Instead, continue when ready'
            pause
            goto 1
         end if

      END IF


      IF(compute_J) THEN

         J4D = J4D * cfc

 2       continue

         if(Collimated_Source) then
            name = 'J_pntc_vol_rec.bin'
            string%Filetype = ft(13)
         else
            name = 'J_pnti_vol_rec.bin'
            string%Filetype = ft(13+nft)
         end if

         call dump_J_4D(name, J4D, fail)
         if(fail) then
            write(*,*) 'dump_J_4D failed to write output'
            write(*,*) 'You may want to check disk space'
            write(*,*) 'To save computed results do not quit'
            write(*,*) 'Instead, continue when ready'
            pause
            goto 2
         end if

      END IF


      IF(compute_I) THEN

         I5D = I5D * cfc / (dscth*dsphi*pi)
         call fIe_2D_3D(I5D)

 3       continue

         if(Collimated_Source) then
            name = 'I_pntc_vol_rec.bin'
            string%Filetype = ft(25)
         else
            name = 'I_pnti_vol_rec.bin'
            string%Filetype = ft(25+nft)
         end if

         open(unit=70,file='I1', status='unknown')
         do iscth=1,Nscth
            write(70,*) iscth, I5D(iscth,1,11,11,5)
         end do
         close(unit=70)

         write(*,*) 'Writing data can take a little time... Wait a bit...'

         call dump_I_2D_3D(name, I5D, fail)
         if(fail) then
            write(*,*) 'dump_I_2D_3D failed to write output'
            write(*,*) 'You may want to check disk space'
            write(*,*) 'To save computed results do not quit'
            write(*,*) 'Instead, continue when ready'
            pause
            goto 3
         end if
 
      END IF


      return
      end
